--- a/lib/epson-escpr-api.h	2024-10-30 12:42:07.278862232 -0400
+++ b/lib/epson-escpr-api.h	2024-10-30 12:43:46.975989499 -0400
@@ -111,6 +111,10 @@ extern EPS_ERR_CODE epsGetUsersizeRange
     /*** -------------------------------------------------------------------------------*/
 extern EPS_ERR_CODE epsMakeMainteCmd     (EPS_INT32, EPS_UINT8*, EPS_UINT32*            );
 
+extern EPS_ERR_CODE SetupJobAttrib          (const EPS_JOB_ATTRIB*                      );
+extern EPS_ERR_CODE SendStartJob            (EPS_BOOL                                   );
+extern EPS_ERR_CODE PrintBand               (const EPS_UINT8*, EPS_UINT32, EPS_UINT32*  );
+
 #ifdef __cplusplus
 }
 #endif
--- a/src/filter.c	2024-10-30 12:44:02.992729085 -0400
+++ b/src/filter.c	2024-10-30 12:44:49.836274137 -0400
@@ -32,7 +32,9 @@
 
 #include "epson-protocol.h"
 #include "epson-escpr-api.h"
+#include "epson-escpr-services.h"
 #include "epson-escpr-mem.h"
+#include "epson-escpage.h"
 
 #include "err.h"
 #include "mem.h"
@@ -42,6 +44,7 @@
 #include "optBase.h"
 #include "linux_cmn.h"
 #include "custompage.h"
+#include "xfifo.h"
 
 #define WIDTH_BYTES(bits) (((bits) + 31) / 32 * 4)
 
--- a/src/mem.c	2024-10-30 12:42:31.732309679 -0400
+++ b/src/mem.c	2024-10-30 12:43:15.375844801 -0400
@@ -22,6 +22,7 @@
 #endif
 
 #include <stdlib.h>
+#include "err.h"
 #include "mem.h"
 
 void *
--- a/src/wrapper.c	2024-10-30 12:48:35.673934604 -0400
+++ b/src/wrapper.c	2024-10-30 12:49:00.237373816 -0400
@@ -35,6 +35,7 @@
 #include <signal.h>
 
 #include "libprtX.h"
+#include "custompage.h"
 
 #define WIDTH_BYTES(bits) (((bits) + 31) / 32 * 4)
 
